Bug Hunting Session
Bug 41436 - FORMATTING: Custom Styles in Drawing file not transferred with copy / paste to other document
Summary: FORMATTING: Custom Styles in Drawing file not transferred with copy / paste t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 64820 65528 (view as bug list)
Depends on:
Blocks: 60814 ImpressDraw-Styles Paste
  Show dependency treegraph
 
Reported: 2011-10-03 23:41 UTC by Rainer Bielefeld Retired
Modified: 2019-06-10 17:58 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (14.40 KB, application/zip)
2012-01-04 04:33 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-10-03 23:41:38 UTC
"LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]" will not transfer a user defined style to other document with copy / paste

Steps to reproduce:
1. Start LibO
2. Open new DRAW document from LibO start center
3. draw a rectangle (or other shape, does not matter)
4. change color to yellow
5. select shape again if necessary 
   control points visible
6. <f11> if necessary to open "Styles and Formatting" pane
7. In pane heading click icon "New style from selection"
   Create Style dialog appears
8. type Name "y", <ok>
   New style "y" will be listed
9. select shape again if necessary 
10. Menu 'Edit -> Copy'
11. Menu 'File -> New -> DRAWING
    New DRAW document appears
12. Click somewhere into the document
13. Menu 'Edit -> Paste'
    Rectangle / Shape appears
    Expected: Color yellow, Style "y"
    Actual: Color "Blue 9" (or whatever your "Standard" color
            might be", no style "y" listed in 
            "Styles and Formatting" pane

- Reported with Bug Submission Assistant -
Comment 1 Rainer Bielefeld Retired 2011-10-03 23:54:16 UTC
Also a problem with "LibreOffice Portable 3.3.3  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:301  Tag 3.3.3.1)]" and an OOo-dev 3.2 version, so seems to be inherited from OOo.

Worked fine with OOo 3.1.1

Still a problem with Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) English UI [(Build ID: 81607ad-3dca5fd-da627d2)]"

NEW / Confirmed due to many versions and OOo Issue

Seems to be limited to DRAW /Impress. Writer text styles will be transferred correctly to a new document
Comment 2 Rainer Bielefeld Retired 2012-01-04 04:33:07 UTC
This annoying bug forces me to use OOo 3.1.1 for my Drawing needs.

To demonstrate the problem I created 2 Documents "mysample00.odg" and  "mysample11.odg"

First some test with OOo 3.1.1 demonstrate how it should work.

1. Open "mysample00.odg" with OOO 3.1.1
   > Contains 3 drawing elements 
     <f11> to open 'Styles and Formatting', contains user styles
     "heating", "BMK", "cooling",
2. Menu 'File -> New -> Drawing'
   > Does not contain styles "heating", "BMK", "cooling"
3. switch back to "mysample00.odg"
4. <control+a>, then <control+c> to select and copy all
5. switch to new empty document
6. <control+v>
   Expected: 3 pasted elements in new documents look exactly as in 
             "mysample00.odg", new document now contains user styles 
             "heating", "BMK", "cooling"
   Actual: as expected

Now an additional test
11. Open "mysample11.odg" 
    > contains 3 drawing elements 
      <f11> to open 'Styles and Formatting', contains "heating", "BMK", 
      "cooling",
      "heating", "cooling" are different from "mysample00.odg"
12. Create new additional Slide in  "mysample11.odg" 
13. Redo from step 4, but paste to Slied2 "mysample11.odg" 
    Expected: 3 pasted elements in new documents look exactly as in 
             Sheet1 "mysample11.odg", means style in target document have
             priority. 
   Actual: as expected

Now do the same tests with "LibreOffice Portable 3.3.0  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:6) tag libreoffice-3.3.0.4]" 

In step 6 Unexpected: no style transferred, elements damaged
In step 13 everything works fine and as expected

Same bad result with "LibreOffice 3.4.5 RC1  - WIN7 Home Premium (64bit) German UI [Build ID: OOO340m1 (Build:501)]" and
with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978] 

@Radek:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 3 Rainer Bielefeld Retired 2012-01-04 04:33:59 UTC
Created attachment 55108 [details]
Test Kit

See Comment 2!
Comment 4 sasha.libreoffice 2012-01-04 22:42:44 UTC
> Seems to be limited to DRAW /Impress. Writer text styles will be transferred
correctly to a new document

But how about frames? But my be it is another bug.
Steps to reproduce:
1. Start new Writer document
2. Tools->Galery and drag into document any background. Appears square picture.
3. Select it and change horizontal size
4. Copy it
5. Start new Impress document
6. Paste 
Expected: picture pasted with changed horizontal size
Actually: picture is square
Comment 5 Rainer Bielefeld Retired 2013-02-22 06:27:34 UTC
Basck to list due to the facts.

This problem is inherited and a terrible nuisance, some time after OOo this feature broke and Draw became a rather useless tool. For me OOo 3.1.1 still is essential for creating drawings because of this problem.

I nominate this one as HardHack on <https://wiki.documentfoundation.org/HardHacks#General>. Until this will have been fixed users who need a tool will have to use OOo 3.1 (3.2)?
Comment 6 Cor Nouws 2013-03-02 11:56:20 UTC
@mst: I've seen a note from you once on this bug. So just thought adding you here.
Comment 7 Cor Nouws 2013-03-16 16:48:21 UTC
@mst:
(In reply to comment #6)
> @mst: I've seen a note from you once on this bug. So just thought adding you
> here.
Sorry, wasn't you but a collegue ;-)
Comment 8 Cor Nouws 2013-03-16 16:54:27 UTC
some time ago it's fixed that styles are included when one copies a full page/slide:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=24578b804007d8c3201e5ed32b8485e1725c33c1

I guess that what is done with 
  // Copy styles. This unconditionally copies all styles, even those
  ...
  // remove copied styles not used on any inserted page and create
  ...
for the pages could be done for the objects too.

However in any case we have a simple workaround now:
copy a full page and the styles are copied to the target document.
So IMO it's OK to set the severity to 'normal'
Comment 9 Cor Nouws 2013-06-08 08:37:08 UTC
*** Bug 65528 has been marked as a duplicate of this bug. ***
Comment 10 David Tardon 2013-07-15 13:34:39 UTC
*** Bug 62175 has been marked as a duplicate of this bug. ***
Comment 11 David Tardon 2013-07-16 08:43:51 UTC
*** Bug 64820 has been marked as a duplicate of this bug. ***
Comment 12 Markus Michels 2013-08-23 14:33:41 UTC
I think this should have a much higher priority. When I reported this as a duplicate bug for LO 4.0 series it was flagged as "highest critical" or something like that. It is loss of data..!! And duplicating slides in a presentation or copying multiple slides over to other presentations for re-use is an almost daily exercise which now turns into a nightmare. I also think that this is real basic stuff that should be rock solid among different versions. And if it fails it should be addressed with utmost attention and pace.

And it seems it worked between 3.3 and 4.0 versions, at least for me. So it had been fixed and been brought back into the game thereafter.

Any takers?

Best,

Markus
Comment 13 Markus Michels 2013-08-23 14:38:05 UTC
Just read the comment about full page copy to retain styles above... This does NOT work, neither in 4.0 nor 4.1 - at least copying a full page within your document will kill all custom styles applied to objects on that very page.

Hopefully we can increase importance of this bug a lot.

Thanks in advance,

Markus
Comment 14 Cor Nouws 2013-08-23 16:06:48 UTC
@markus: pls before hitting 'Save changes' when setting the version to a higher number, pls read the information that appears on that action.
(And then in general: do not change that field) ;)
Comment 15 Cor Nouws 2013-08-23 16:08:59 UTC
(In reply to comment #13)
> Just read the comment about full page copy to retain styles above... This
> does NOT work, neither in 4.0 nor 4.1 - at least copying a full page within
> your document will kill all custom styles applied to objects on that very
> page.

I will check that. Might be related to some recent bugs with styles in Impress/Draw.
Comment 16 Markus Michels 2013-08-26 15:48:52 UTC
Sorry about that, won't do again.

It is just that this bug keeps me awake like the "fonts not saved" bug as well as the "negative indents not saved" bug. All related to formatting core functionality. I have been promoting open standards to all my employees and indeed everyone started liking open standards such as LibreOffice as well. It is just critical that core features that we rely on on a daily business do not work as intended. Would be great if these could be fixed very soon.

Thanks again for your great work and effort,

Markus
Comment 17 Markus Michels 2013-09-05 12:50:57 UTC
This one even gets worse...!!!

Now I realize (LO 4.1.1.2) that even moving a chart within the same presentation (say from slide position 3 to another one) will make all objects on the page loose their applied custom formatting. They simply revert to "default" (after save, close and re-open).

Again in my opinion this is a very nasty bug and should be treated as a mab4.1 It makes LO Impress virtually irrelevant for professional use, as rearranging slides in a document will kill all formatting.

Any takers?

Best,

Markus
Comment 18 Timur 2015-08-17 16:21:20 UTC
Worked OK in OO 3.2, started in OO 3.3, so inherited. Still NOK in LO 5.1+.
Comment 19 Xisco Faulí 2017-10-04 08:25:03 UTC
Dear David Tardon,
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 20 Roman Kuznetsov 2018-06-16 14:20:21 UTC
still repro follow steps in

Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL


Mike, if you can, please look at this bug.
Comment 21 Tony Chou 2018-11-29 08:34:55 UTC
Reproduced

Still exists in version 

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded